Package org.bukkit.profile

# Enum Class PlayerTextures.SkinModel

java.lang.Object
java.lang.Enum<PlayerTextures.SkinModel>
org.bukkit.profile.PlayerTextures.SkinModel

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerTextures.SkinModel>`, `Constable`

Enclosing interface:
  PlayerTextures

public static enum PlayerTextures.SkinModel extends Enum<PlayerTextures.SkinModel>
The different Minecraft skin models.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLASSIC`
The classic Minecraft skin model.
`SLIM`
The slim model has slimmer arms than the classic model.

## Method Summary

Modifier and Type
Method
Description
`static PlayerTextures.SkinModel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerTextures.SkinModel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLASSIC

public static final PlayerTextures.SkinModel CLASSIC
The classic Minecraft skin model.

### SLIM

public static final PlayerTextures.SkinModel SLIM
The slim model has slimmer arms than the classic model.

## Method Details

### values

public static PlayerTextures.SkinModel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerTextures.SkinModel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null